Index: /branches/version-2_13-dev/data/class/SC_SmartphoneUserAgent.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SmartphoneUserAgent.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_SmartphoneUserAgent.php	(revision 23124)
@@ -35,5 +35,5 @@
      * @return boolean
      */
-    function isSmartphone()
+    public function isSmartphone()
     {
         $nu = new Net_UserAgent_Mobile();
@@ -47,5 +47,5 @@
      * @return boolean
      */
-    function isNonSmartphone()
+    public function isNonSmartphone()
     {
         return !SC_SmartphoneUserAgent_Ex::isSmartphone();
@@ -57,5 +57,5 @@
      * @return string
      */
-    function getSmartphonePcFlag()
+    public function getSmartphonePcFlag()
     {
         $_SESSION['pc_disp'] = empty($_SESSION['pc_disp']) ? false : $_SESSION['pc_disp'];
@@ -67,5 +67,5 @@
      * PC表示ON
      */
-    function setPcDisplayOn()
+    public function setPcDisplayOn()
     {
         $_SESSION['pc_disp'] = true;
@@ -75,5 +75,5 @@
      * PC表示OFF
      */
-    function setPcDisplayOff()
+    public function setPcDisplayOff()
     {
         $_SESSION['pc_disp'] = false;
Index: /branches/version-2_13-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Response.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/SC_Response.php	(revision 23124)
@@ -35,8 +35,8 @@
      * @var unknown_type
      */
-    var $contentType;
-    var $body;
-    var $statusCode;
-    var $header = array();
+    public $contentType;
+    public $body;
+    public $statusCode;
+    public $header = array();
 
     /**
@@ -44,10 +44,10 @@
      * Enter description here ...
      */
-    var $encoding;
+    public $encoding;
 
     /**
      * レスポンス出力を書き込む.
      */
-    function write()
+    public function write()
     {
         $this->sendHeader();
@@ -55,5 +55,5 @@
     }
 
-    function sendHeader()
+    public function sendHeader()
     {
         // HTTPのヘッダ
@@ -66,20 +66,20 @@
     }
 
-    function setContentType($contentType)
+    public function setContentType($contentType)
     {
         $this->header['Content-Type'] = $contentType;
     }
 
-    function setResposeBody($body)
+    public function setResposeBody($body)
     {
         $this->body = $body;
     }
 
-    function addHeader($name, $value)
+    public function addHeader($name, $value)
     {
         $this->header[$name] = $value;
     }
 
-    function containsHeader($name)
+    public function containsHeader($name)
     {
         return isset($this->header[$name]);
@@ -90,5 +90,5 @@
      * 各クラス内では、exit を直接呼び出さない。
      */
-    function actionExit()
+    public function actionExit()
     {
         // ローカルフックポイント処理
@@ -118,12 +118,12 @@
      * 2. $location に含まれる searchpart
      * 3. 引数 $arrQueryString
-     * @param string $location 「url-path」「現在のURLからのパス」「URL」のいずれか。「../」の解釈は行なわない。
-     * @param array $arrQueryString URL に付加する searchpart
-     * @param bool $inheritQueryString 現在のリクエストの searchpart を継承するか
-     * @param bool|null $useSsl true:HTTPSを強制, false:HTTPを強制, null:継承
+     * @param  string    $location           「url-path」「現在のURLからのパス」「URL」のいずれか。「../」の解釈は行なわない。
+     * @param  array     $arrQueryString     URL に付加する searchpart
+     * @param  bool      $inheritQueryString 現在のリクエストの searchpart を継承するか
+     * @param  bool|null $useSsl             true:HTTPSを強制, false:HTTPを強制, null:継承
      * @return void
      * @static
      */
-    function sendRedirect($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null)
+    public function sendRedirect($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null)
     {
         // ローカルフックポイント処理
@@ -223,9 +223,9 @@
      *
      * FIXME メソッド名を分かりやすくしたい。現状だと、引数が「url-path より後」とも「url-path」とも読み取れる。(前者が意図したいところ)
-     * @param string $location /html/ からのパス。先頭に / を含むかは任意。「../」の解釈は行なわない。
+     * @param  string $location /html/ からのパス。先頭に / を含むかは任意。「../」の解釈は行なわない。
      * @return void
      * @static
      */
-    function sendRedirectFromUrlPath($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null)
+    public function sendRedirectFromUrlPath($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null)
     {
         $location = ROOT_URLPATH . ltrim($location, '/');
@@ -236,5 +236,5 @@
      * @static
      */
-    function reload($arrQueryString = array(), $removeQueryString = false)
+    public function reload($arrQueryString = array(), $removeQueryString = false)
     {
         // 現在の URL を取得
@@ -249,10 +249,10 @@
     }
 
-    function setHeader($headers)
+    public function setHeader($headers)
     {
         $this->header = $headers;
     }
 
-    function setStatusCode($statusCode = null)
+    public function setStatusCode($statusCode = null)
     {
         $this->statusCode = $statusCode;
@@ -262,5 +262,5 @@
      * HTTPステータスコードを送出する。
      *
-     * @param integer $statusCode HTTPステータスコード
+     * @param  integer $statusCode HTTPステータスコード
      * @return void
      * @author Seasoft (新規作成)
@@ -274,5 +274,5 @@
      * @static
      */
-    function sendHttpStatus($statusCode)
+    public function sendHttpStatus($statusCode)
     {
         $protocol = $_SERVER['SERVER_PROTOCOL'];
Index: /branches/version-2_13-dev/data/class/SC_SiteView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SiteView.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_SiteView.php	(revision 23124)
@@ -24,5 +24,5 @@
 class SC_SiteView extends SC_View_Ex
 {
-    function __construct($setPrevURL = true)
+    public function __construct($setPrevURL = true)
     {
         parent::__construct();
@@ -33,5 +33,5 @@
     }
 
-    function init()
+    public function init()
     {
         parent::init();
@@ -43,5 +43,5 @@
     }
 
-    function setPrevURL()
+    public function setPrevURL()
     {
             $objCartSess = new SC_CartSession_Ex();
Index: /branches/version-2_13-dev/data/class/sessionfactory/SC_SessionFactory_UseRequest.php
===================================================================
--- /branches/version-2_13-dev/data/class/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/sessionfactory/SC_SessionFactory_UseRequest.php	(revision 23124)
@@ -35,5 +35,5 @@
 class SC_SessionFactory_UseRequest extends SC_SessionFactory_Ex
 {
-    var $state = null;
+    public $state = null;
 
     /**
@@ -42,5 +42,5 @@
      * @param string $state
      */
-    function setState($state = 'pc')
+    public function setState($state = 'pc')
     {
         switch ($state) {
@@ -61,5 +61,5 @@
      * @return boolean 常にfalseを返す
      */
-    function useCookie()
+    public function useCookie()
     {
         return false;
@@ -73,5 +73,5 @@
      *                     取得できなかった場合は null を返す。
      */
-    function getExtSessionId()
+    public function getExtSessionId()
     {
         if (!preg_match('|^' . ROOT_URLPATH . '(.*)$|', $_SERVER['SCRIPT_NAME'], $matches)) {
@@ -99,10 +99,10 @@
      * 外部サイト連携用にセッションIDとパラメーターの組み合わせを保存する。
      *
-     * @param string $param_key パラメーター名
-     * @param string $param_value パラメーター値
-     * @param string $url URL
+     * @param  string $param_key   パラメーター名
+     * @param  string $param_value パラメーター値
+     * @param  string $url         URL
      * @return void
      */
-    function setExtSessionId($param_key, $param_value, $url)
+    public function setExtSessionId($param_key, $param_value, $url)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -128,5 +128,5 @@
      * @return boolean セッションデータが有効な場合は true、無効な場合は false を返す。
      */
-    function validateSession()
+    public function validateSession()
     {
         /**
@@ -144,4 +144,5 @@
          * がチェックされる
          */
+
         return $this->state->validateSessionData();
     }
@@ -153,5 +154,5 @@
      *                      取得できなかった場合は false を返す。
      */
-    function getSessionId()
+    public function getSessionId()
     {
         // パラメーターからセッションIDを取得する。
@@ -178,4 +179,5 @@
         if ($objSession->sfSessRead($sessionId) === null) {
             GC_Utils_Ex::gfPrintLog("Non-existent session id : sid=$sessionId");
+
             return false;
         }
@@ -189,5 +191,5 @@
      * @return void
      */
-    function initSession()
+    public function initSession()
     {
         // セッションIDの受け渡しにクッキーを使用しない。
@@ -241,9 +243,9 @@
 {
     /** 名前空間(pc/mobile) */
-    var $namespace = '';
+    public $namespace = '';
     /** 有効期間 */
-    var $lifetime  = 0;
+    public $lifetime  = 0;
     /** エラーチェック関数名の配列 */
-    var $validate  = array();
+    public $validate  = array();
 
     /**
@@ -252,5 +254,5 @@
      * @return string
      */
-    function getNameSpace()
+    public function getNameSpace()
     { return $this->namespace; }
 
@@ -260,5 +262,5 @@
      * @return integer
      */
-    function getLifeTime()
+    public function getLifeTime()
     { return $this->lifetime; }
 
@@ -270,5 +272,5 @@
      * @return boolean
      */
-    function validateNameSpace()
+    public function validateNameSpace()
     {
         $namespace = $this->getNameSpace();
@@ -285,8 +287,8 @@
      * 取得するデータは$_SESSION[$namespace][$key]となる.
      *
-     * @param string $key
+     * @param  string     $key
      * @return mixed|null
      */
-    function getValue($key)
+    public function getValue($key)
     {
         $namespace = $this->getNameSpace();
@@ -302,7 +304,7 @@
      *
      * @param string $key
-     * @param mixed $value
-     */
-    function setValue($key, $value)
+     * @param mixed  $value
+     */
+    public function setValue($key, $value)
     {
         $namespace = $this->getNameSpace();
@@ -315,5 +317,5 @@
      * @return integer
      */
-    function getExpire()
+    public function getExpire()
     {
         return $this->getValue('expires');
@@ -324,5 +326,5 @@
      *
      */
-    function updateExpire()
+    public function updateExpire()
     {
         $lifetime = $this->getLifeTime();
@@ -335,5 +337,5 @@
      * @return boolean
      */
-    function validateExpire()
+    public function validateExpire()
     {
         $expire = $this->getExpire();
@@ -352,5 +354,5 @@
      * @return string
      */
-    function getIp()
+    public function getIp()
     {
         return $this->getValue('ip');
@@ -361,5 +363,5 @@
      *
      */
-    function updateIp()
+    public function updateIp()
     {
         $this->setValue('ip', $_SERVER['REMOTE_ADDR']);
@@ -372,5 +374,5 @@
      * @return boolean
      */
-    function validateIp()
+    public function validateIp()
     {
         $ip = $this->getIp();
@@ -390,5 +392,5 @@
      * @return string
      */
-    function getModel()
+    public function getModel()
     {
         return $this->getValue('model');
@@ -400,5 +402,5 @@
      * @return boolean
      */
-    function validateSessionData()
+    public function validateSessionData()
     {
         foreach ($this->validate as $method) {
@@ -416,5 +418,5 @@
      *
      */
-    function inisializeSessionData()
+    public function inisializeSessionData()
     {
     }
@@ -438,5 +440,5 @@
      * @return LC_UseRequest_State_PC
      */
-    function LC_UseRequest_State_PC()
+    public function LC_UseRequest_State_PC()
     {
         $this->namespace = 'pc';
@@ -449,5 +451,5 @@
      *
      */
-    function updateModel()
+    public function updateModel()
     {
         $this->setValue('model', $_SERVER['HTTP_USER_AGENT']);
@@ -459,5 +461,5 @@
      * @return boolean
      */
-    function validateModel()
+    public function validateModel()
     {
         $ua = $this->getModel();
@@ -476,5 +478,5 @@
      *
      */
-    function inisializeSessionData()
+    public function inisializeSessionData()
     {
         $_SESSION = array();
@@ -503,5 +505,5 @@
      * @return LC_UseRequest_State_Mobile
      */
-    function LC_UseRequest_State_Mobile()
+    public function LC_UseRequest_State_Mobile()
     {
         $this->namespace = 'mobile';
@@ -514,5 +516,5 @@
      *
      */
-    function updateModel()
+    public function updateModel()
     {
         $this->setValue('model', SC_MobileUserAgent_Ex::getModel());
@@ -524,5 +526,5 @@
      * @return boolean
      */
-    function validateModel()
+    public function validateModel()
     {
         $modelInSession = $this->getModel();
@@ -540,5 +542,5 @@
      * @return string
      */
-    function getPhoneId()
+    public function getPhoneId()
     {
         return $this->getValue('phone_id');
@@ -549,5 +551,5 @@
      *
      */
-    function updatePhoneId()
+    public function updatePhoneId()
     {
         $this->setValue('phone_id', SC_MobileUserAgent_Ex::getId());
@@ -558,5 +560,5 @@
      *
      */
-    function inisializeSessionData()
+    public function inisializeSessionData()
     {
         $_SESSION = array();
Index: /branches/version-2_13-dev/data/class/sessionfactory/SC_SessionFactory_UseCookie.php
===================================================================
--- /branches/version-2_13-dev/data/class/sessionfactory/SC_SessionFactory_UseCookie.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/sessionfactory/SC_SessionFactory_UseCookie.php	(revision 23124)
@@ -42,5 +42,5 @@
      * FIXME セッションキーのキーが PHP デフォルトのため、上位ディレクトリーで定義があると、その値で動作すると考えられる。
      **/
-    function initSession()
+    public function initSession()
     {
         ini_set('session.cache_limiter', 'none');
@@ -59,5 +59,5 @@
      * @return boolean 常に true を返す
      */
-    function useCookie()
+    public function useCookie()
     {
         return true;
Index: /branches/version-2_13-dev/data/class/SC_InstallView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_InstallView.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_InstallView.php	(revision 23124)
@@ -24,5 +24,5 @@
 class SC_InstallView extends SC_View_Ex
 {
-    function __construct($template_dir, $compile_dir = COMPILE_REALDIR)
+    public function __construct($template_dir, $compile_dir = COMPILE_REALDIR)
     {
         parent::__construct();
